Kerbal Space Program - Bug #28185

Bug with satellite contracts
07/04/2021 03:34 AM - rafaeldominiquini

Status: New Start date: 07/04/2021
Severity: Low % Done: 0%
Assignee:

Category: Contracts

Target version:

Version: 1.12.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

I'm having a problem with a career mode game. This is my first career game!

| got some contracts that ask me to put a satellite into orbit but don't specify altitude. When | go to the Track Station or Map View on
a flight and hover the mouse over the orbit drawn on the map (Ap/Pe), the game doesn't show anything, it just throws a
NullPointerException!

I'm testing this without any mod!

| think that maybe is related to the stock alarm because of this:

[EXC 00:21:29.156] NullReferenceException: Object reference not set to an instance of an object

AlarmTypePeriapsis.ShowAlarmMapObject (MapObject mapObject) (at <a5c262f7fe724eb9918d4487db8b6
35e>:0)

AlarmClockScenario.ShowAlarmMapButton (MapObject mapObject) (at <ab5c262f7fe724eb9918d4487db8b6
35e>:0)

KSP.UI.Screens.Mapview.MapNode.OnPointerEnter (UnityEngine.EventSystems.PointerEventData event
Data) (at <a5c262f7fe724eb9918d4487db8b635e>:0)

UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerEnterHandler
handler, UnityEngine.EventSystems.BaseEventData eventData) (at <9f£35cb25d6a4409c8c02e911403£f3£f7£>:
0)

UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.
EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction 1[T1] £
unctor) (at <9f35cb25d6a4409c8c02e911403£3f7£>:0)

UnityEngine.EventSystems.EventSystem:Update ()

The game throws this every time | hover over the drawn orbit!

History

#1 - 07/04/2021 05:29 AM - Anth12

Can you supply a quicksave?

#2 - 07/04/2021 08:37 AM - rafaeldominiquini
- File Career.zip added

- File persistent.sfs added

Attached is my save file!
Thanks.

#3 - 07/04/2021 09:37 AM - Anth12

- File screenshot71.png added

- File 28185 Satellite Contract PEAP nullref Test Save.sfs added
- File KSP.log added

KSP 1.12.1 + BG + MH
Thanks. | used your save and it showed the error you indicated.

The log does complain about mods missing in your save, so just in case | created a mod free career and cheated my way to the satellite contract

and retested.
28185 Satellite Contract PEAP nullref Test Save.sfs for testing.
Confirmed.
#4 - 07/04/2021 05:01 PM - rafaeldominiquini
Anth12 wrote:
KSP 1.12.1 + BG + MH

Thanks. | used your save and it showed the error you indicated.

The log does complain about mods missing in your save, so just in case | created a mod free career and cheated my way to the satellite contract

and retested.

28185 Satellite Contract PEAP nullref Test Save.sfs for testing.

Confirmed.

Yes, | was using mods, but removed and tested whithout him! | upload the save with my mods removed!

Thanks.

#5 - 07/04/2021 09:36 PM - Anth12

| don't mean any offence, your save should have been ok.

You did the right thing, | just wanted to be thorough.

| am a perfectionist

#6 - 07/04/2021 09:42 PM - rafaeldominiquini

Anth12 wrote:
| don't mean any offence, your save should have been ok.
You did the right thing, | just wanted to be thorough.

| am a perfectionist

| was not offended. English is not my native language, sorry if that sounded like that! Just wanted to confirm that I'm using mods, but that | removed

and tested it without first opening the bug.

In the worst case some mod might have corrupted my saved game, but it looks like you confirmed it independently!

Thanks.

#7 - 07/05/2021 02:35 AM - rafaeldominiquini

I'm having another problem, but | don't know if it's related: In Track Station, show/hide (toggle) Waypoints and Proposed Orbits buttons don't seem to

work right!
Opened this bug:
https://bugs.kerbalspaceprogram.com/issues/28189

#8 - 07/16/2021 12:21 AM - rafaeldominiquini
Will this bug be fixed? | didn't see him being selected...

Files

Player.log 1000 KB 07/04/2021 rafaeldominiquini
KSP.log 535 KB 07/04/2021 rafaeldominiquini
Career.zip 621 KB 07/04/2021 rafaeldominiquini
persistent.sfs 620 KB 07/04/2021 rafaeldominiquini
screenshot71.png 1.82 MB 07/04/2021 Anth12
28185 Satellite Contract PEAP nullref Test Save.sfs 110 KB 07/04/2021 Anth12
KSP.log 489 KB 07/04/2021 Anth12
